This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 741358 - installing libvirt issues warnings due to outdated spec file %postinstalls
installing libvirt issues warnings due to outdated spec file %postinstalls
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
:
: 747895 (view as bug list)
Depends On: 738725
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-26 12:43 EDT by Eric Blake
Modified: 2012-06-06 20:51 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 738725
Environment:
Last Closed: 2012-06-06 20:51:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eric Blake 2011-09-26 12:43:39 EDT
Cloning to F15

+++ This bug was initially created as a clone of Bug #738725 +++

Description of problem:
The %postinstall of libvirt-client was written in F14, and never updated to F15/F16 systemd days.  Therefore, it is calling old command lines, which issue some scary-looking noise during the course of installation via yum.  Meanwhile, the libvirt package %postinstall issues a failure message about cgconfig, now that cgroups are managed differently.

Version-Release number of selected component (if applicable):
libvirt-client-0.9.4-1.fc16.x86_64

How reproducible:
100%

Steps to Reproduce:
1. yum install libvirt-client
2.
3.
  
Actual results:
  Installing : libvirt-client-0.9.4-1.fc16.x86_64                         14/15 

Note: This output shows SysV services only and does not include native
      systemd services. SysV configuration data might be overridden by native
      systemd configuration.

  Installing : libvirt-0.9.4-1.fc16.x86_64                                15/15 
error reading information on service cgconfig: No such file or directory


Expected results:
These two packages should successfully install without leaking either message.

Additional info:
Found during virt test day
https://fedoraproject.org/wiki/Test_Day:2011-09-15_Virtualization

--- Additional comment from eblake@redhat.com on 2011-09-16 16:45:57 MDT ---

Upstream patch proposed:
https://www.redhat.com/archives/libvir-list/2011-September/msg00682.html

--- Additional comment from eblake@redhat.com on 2011-09-21 12:00:51 MDT ---

0.9.5 now includes this, which needs to be backported to F15:

commit ecd8725c1ad001fdd11f6c680ef0c20421e65a9b
Author: Eric Blake <eblake@redhat.com>
Date:   Fri Sep 16 16:40:25 2011 -0600

    spec: silence warnings when installing in F16
    
    https://bugzilla.redhat.com/show_bug.cgi?id=738725 documents that
    'yum install libvirt' in Fedora 16 is rather noisy.  This fixes
    the problems.
    
    * libvirt.spec.in (%post client): Silence chkconfig warning about
    SysV services.
    (%post) [with_cgconfig]: Drop for Fedora 15 and newer, where
    systemd does this automatically.

--- Additional comment from updates@fedoraproject.org on 2011-09-22 08:21:17 MDT ---

libvirt-0.9.6-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libvirt-0.9.6-1.fc16

--- Additional comment from fedora-admin-xmlrpc@redhat.com on 2011-09-22 11:51:49 MDT ---

This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

--- Additional comment from fedora-admin-xmlrpc@redhat.com on 2011-09-22 11:54:30 MDT ---

This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

--- Additional comment from updates@fedoraproject.org on 2011-09-24 14:46:26 MDT ---

Package libvirt-0.9.6-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libvirt-0.9.6-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/libvirt-0.9.6-1.fc16
then log in and leave karma (feedback).
Comment 1 Eric Blake 2011-09-26 12:47:27 EDT
Hmm, commit ecd8725c1a might not be entirely correct for F15.  There, the libvirt-client warning is present, but not the cgconfig warning.  That is, it looks like cgconfig still exists as a service in F15, and it wasn't until F16 that it was subsumed into systemd.  That means that upstream libvirt may need one additional tweak to the spec file for when to probe the cgconfig service.
Comment 2 Fedora Admin XMLRPC Client 2011-11-30 15:06:19 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2011-11-30 15:06:23 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2011-11-30 15:09:49 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2011-11-30 15:09:53 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Eric Blake 2011-12-08 14:49:12 EST
There have been quite a few spec file changes upstream; it may be easiest to just pull them all.  Also, see bug 738725 complaining that the patch mentioned in comment 1 was not complete even for F16.
Comment 7 Eric Blake 2011-12-08 17:04:58 EST
This needs backporting to F15 and F16.

commit 3b95f284f19d2e43daa32a87cd10eaf42ea8bb4e
Author: Eric Blake <eblake@redhat.com>
Date:   Thu Dec 8 13:32:37 2011 -0700

    spec: fix logic bug in deciding to turn on cgconfig
Comment 8 Mike Orazi 2012-01-19 09:42:54 EST
*** Bug 747895 has been marked as a duplicate of this bug. ***
Comment 9 Cole Robinson 2012-06-06 20:51:39 EDT
F15 is end of life real soon, and F16 already has this fix, so closing.

Note You need to log in before you can comment on or make changes to this bug.